=== modified file 'viz/treemodel.py'
--- viz/treemodel.py	2007-10-31 02:11:04 +0000
+++ viz/treemodel.py	2007-11-05 17:16:09 +0000
@@ -12,7 +12,7 @@
 import pango
 import re
 
-from bzrlib.osutils import format_date
+from time import (strftime, localtime)
 
 REVID = 0
 NODE = 1
@@ -85,9 +85,9 @@
         if column == MESSAGE: return revision.message.split("\n")[0]
         if column == COMMITER: return re.sub('<.*@.*>', '', 
                                              revision.committer).strip(' ')
-        if column == TIMESTAMP: return format_date(revision.timestamp,
-                                                   revision.timezone)
-    
+        if column == TIMESTAMP: 
+            return strftime("%Y-%m-%d %H:%M", localtime(revision.timestamp))
+
     def on_iter_next(self, rowref):
         if rowref < len(self.line_graph_data) - 1:
             return rowref+1

=== modified file 'viz/treeview.py'
--- viz/treeview.py	2007-11-05 17:03:57 +0000
+++ viz/treeview.py	2007-11-05 17:16:09 +0000
@@ -277,7 +277,7 @@
         self.treeview.append_column(self.committer_column)
 
         cell = gtk.CellRendererText()
-        cell.set_property("width-chars", 40)
+        cell.set_property("width-chars", 20)
         cell.set_property("ellipsize", pango.ELLIPSIZE_END)
         self.date_column = gtk.TreeViewColumn("Date")
         self.date_column.set_visible(False)

